{
	"version":"LAYASCENE3D:02",
	"data":{
		"type":"Scene3D",
		"props":{
			"name":"game-scene",
			"sky":{
				"material":{
					"type":"Laya.SkyProceduralMaterial",
					"path":"Assets/Materials/mat_sky.lmat"
				},
				"mesh":"SkyDome"
			},
			"ambientColor":[
				0.509434,
				0.509434,
				0.509434
			],
			"reflectionDecodingFormat":0,
		
			"reflectionIntensity":1,
			"ambientMode":0,
			"ambientSphericalHarmonicsIntensity":1,
			"lightmaps":[],
			"enableFog":false,
			"fogStart":0,
			"fogRange":300,
			"fogColor":[
				0.5,
				0.5,
				0.5
			]
		},
		"child":[
			{
				"type":"Sprite3D",
				"instanceID":0,
				"props":{
					"name":"cameraTexture",
					"active":true,
					"isStatic":false,
					"layer":0,
					"position":[
						0,
						1000,
						0
					],
					"rotation":[
						0,
						0,
						0,
						-1
					],
					"scale":[
						1,
						1,
						1
					]
				},
				"components":[],
				"child":[
					{
						"type":"Camera",
						"instanceID":1,
						"props":{
							"name":"renderCamera",
							"active":false,
							"isStatic":false,
							"layer":0,
							"position":[
								0,
								1.66,
								-1.98
							],
							"rotation":[
								0,
								0.9942542,
								0.107045,
								0
							],
							"scale":[
								1,
								1,
								1
							],
							"clearFlag":0,
							"orthographic":false,
							"orthographicVerticalSize":10,
							"fieldOfView":60,
							"enableHDR":false,
							"nearPlane":0.3,
							"farPlane":1000,
							"viewport":[
								0,
								0,
								1,
								1
							],
							"clearColor":[
								0,
								0,
								0,
								0
							]
						},
						"components":[],
						"child":[]
					},
					{
						"type":"Sprite3D",
						"instanceID":2,
						"props":{
							"name":"renderModelSlot",
							"active":false,
							"isStatic":false,
							"layer":0,
							"position":[
								0,
								0,
								0
							],
							"rotation":[
								0,
								1,
								0,
								0
							],
							"scale":[
								1,
								1,
								1
							]
						},
						"components":[],
						"child":[]
					}
				]
			},
			{
				"type":"Sprite3D",
				"instanceID":3,
				"props":{
					"name":"CameraNode",
					"active":true,
					"isStatic":false,
					"layer":0,
					"position":[
						0,
						0,
						0
					],
					"rotation":[
						0,
						0,
						0,
						-1
					],
					"scale":[
						1,
						1,
						1
					]
				},
				"components":[],
				"child":[
					{
						"type":"Camera",
						"instanceID":4,
						"props":{
							"name":"Main Camera",
							"active":true,
							"isStatic":false,
							"layer":0,
							"position":[
								0,
								8,
								-9.5
							],
							"rotation":[
								0,
								0.9586957,
								0.2844337,
								0
							],
							"scale":[
								1,
								1,
								1
							],
							"clearFlag":1,
							"orthographic":false,
							"orthographicVerticalSize":10,
							"fieldOfView":60,
							"enableHDR":false,
							"nearPlane":0.3,
							"farPlane":1000,
							"viewport":[
								0,
								0,
								1,
								1
							],
							"clearColor":[
								0.1921569,
								0.3019608,
								0.4745098,
								0
							]
						},
						"components":[
							{
								"type":"Animator",
								"layers":[
									{
										"name":"Base Layer",
										"weight":0,
										"blendingMode":0,
										"states":[
											{
												"name":"cameragame",
												"clipPath":"Assets/Animations/cameragame-cameragame.lani"
											},
											{
												"name":"cameraover",
												"clipPath":"Assets/Animations/cameraover-cameraover.lani"
											},
											{
												"name":"camerawin",
												"clipPath":"Assets/Animations/camerawin-camerawin.lani"
											}
										]
									}
								],
								"cullingMode":0,
								"playOnWake":true
							}
						],
						"child":[]
					},
					{
						"type":"DirectionLight",
						"instanceID":5,
						"props":{
							"name":"Directional Light",
							"active":true,
							"isStatic":false,
							"layer":0,
							"position":[
								0,
								3,
								0
							],
							"rotation":[
								0.1093816,
								0.8754261,
								0.4082179,
								-0.2345697
							],
							"scale":[
								1,
								1,
								1
							],
							"intensity":1,
							"lightmapBakedType":0,
							"color":[
								1,
								0.9708928,
								0.8915094
							]
						},
						"components":[],
						"child":[]
					}
				]
			},
			{
				"type":"Sprite3D",
				"instanceID":6,
				"props":{
					"name":"Players",
					"active":true,
					"isStatic":false,
					"layer":0,
					"position":[
						0,
						0,
						0
					],
					"rotation":[
						0,
						0,
						0,
						-1
					],
					"scale":[
						1,
						1,
						1
					]
				},
				"components":[],
				"child":[]
			},
			{
				"type":"Sprite3D",
				"instanceID":7,
				"props":{
					"name":"Static",
					"active":true,
					"isStatic":false,
					"layer":0,
					"position":[
						0,
						0,
						54
					],
					"rotation":[
						0,
						0,
						0,
						-1
					],
					"scale":[
						1,
						1,
						1
					]
				},
				"components":[],
				"child":[
					{
						"type":"Sprite3D",
						"instanceID":8,
						"props":{
							"name":"Beach",
							"active":true,
							"isStatic":false,
							"layer":0,
							"position":[
								2.2,
								-6,
								4652
							],
							"rotation":[
								0,
								0,
								0,
								-1
							],
							"scale":[
								320,
								16.434,
								1000
							]
						},
						"components":[],
						"child":[
							{
								"type":"MeshSprite3D",
								"instanceID":9,
								"props":{
									"name":"Water",
									"active":true,
									"isStatic":false,
									"layer":0,
									"position":[
										0,
										0,
										0
									],
									"rotation":[
										0,
										0,
										0,
										-1
									],
									"scale":[
										1,
										1,
										1
									],
									"meshPath":"Assets/Models/Plane-Plane_0.lm",
									"enableRender":true,
									"receiveShadows":true,
									"castShadow":false,
									"materials":[
										{
											"path":"Assets/Materials/seawater.lmat"
										}
									]
								},
								"components":[
									{
										"type":"Animator",
										"layers":[
											{
												"name":"Base Layer",
												"weight":0,
												"blendingMode":0,
												"states":[
													{
														"name":"seaAni",
														"clipPath":"Assets/Animations/seaAni-seaAni.lani"
													}
												]
											}
										],
										"cullingMode":0,
										"playOnWake":true
									}
								],
								"child":[]
							}
						]
					},
					{
						"type":"Sprite3D",
						"instanceID":10,
						"props":{
							"name":"Desert",
							"active":false,
							"isStatic":false,
							"layer":0,
							"position":[
								0,
								-50,
								873
							],
							"rotation":[
								0,
								0,
								0,
								-1
							],
							"scale":[
								1000,
								1000,
								1000
							]
						},
						"components":[],
						"child":[
							{
								"type":"MeshSprite3D",
								"instanceID":11,
								"props":{
									"name":"Plane_0",
									"active":true,
									"isStatic":false,
									"layer":0,
									"position":[
										0,
										0,
										0
									],
									"rotation":[
										0,
										0,
										0,
										-1
									],
									"scale":[
										1,
										1,
										1
									],
									"meshPath":"Assets/Models/Desert-Plane_0.lm",
									"enableRender":true,
									"receiveShadows":true,
									"castShadow":true,
									"materials":[
										{
											"path":"Assets/Materials/Orange.lmat"
										}
									]
								},
								"components":[],
								"child":[]
							}
						]
					}
				]
			},
			{
				"type":"Sprite3D",
				"instanceID":12,
				"props":{
					"name":"Levels",
					"active":true,
					"isStatic":false,
					"layer":0,
					"position":[
						0,
						0,
						-1
					],
					"rotation":[
						0,
						0,
						0,
						-1
					],
					"scale":[
						1,
						1,
						1
					]
				},
				"components":[],
				"child":[]
			}
		]
	}
}